package h05;

import kotlin.Pair;

public class WeatherBalloon implements Flying {

    private final int balloonNumber;

    public WeatherBalloon(int balloonNumber) {
        this.balloonNumber = balloonNumber;
    }

    @Override
    public String getIdentifier() {
        return "WeatherBalloon " + balloonNumber;
    }

    public void start() {
        Airspace.get().register(this);
    }

    public void pop() {
        Airspace.get().deregister(this);
    }
}
